summaryrefslogtreecommitdiff
path: root/dev-python/commonmark
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/commonmark
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/commonmark')
-rw-r--r--dev-python/commonmark/Manifest1
-rw-r--r--dev-python/commonmark/commonmark-0.9.1.ebuild44
-rw-r--r--dev-python/commonmark/metadata.xml20
3 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/commonmark/Manifest b/dev-python/commonmark/Manifest
new file mode 100644
index 000000000000..a5c1b46757db
--- /dev/null
+++ b/dev-python/commonmark/Manifest
@@ -0,0 +1 @@
+DIST commonmark-0.9.1.tar.gz 95764 BLAKE2B 1f61de784c5cf03aa5255f5fae18c48df30aab8ef135ccf85a0b7a14cfc64275476458fc0853ecfc9beee96daca31d5cccb30d218f7d5b5343844e57aa7a77ec SHA512 bacf5ef387a0c330a2128f42c42c29c1a48ae623683e6e56ad28a1621aabd72e29cd3e2d661e8207b8cc0c347d267f262a55f2145fc58f8c8aeff91e7a283324
diff --git a/dev-python/commonmark/commonmark-0.9.1.ebuild b/dev-python/commonmark/commonmark-0.9.1.ebuild
new file mode 100644
index 000000000000..392865942426
--- /dev/null
+++ b/dev-python/commonmark/commonmark-0.9.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python parser for the CommonMark Markdown spec"
+HOMEPAGE="https://github.com/readthedocs/commonmark.py"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ >=dev-python/hypothesis-3.7.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests setup.py
+
+src_test() {
+ local -x PYTHONIOENCODING='utf8'
+ distutils-r1_src_test
+}
+
+src_prepare() {
+ default
+ # Fix file collision with app-text/cmark, see bug #627034
+ sed -i -e "s:'cmark\( = commonmark.cmark\:main'\):'cmark.py\1:" \
+ setup.py || die
+}
+
+pkg_postinst() {
+ ewarn "/usr/bin/cmark has been renamed to /usr/bin/cmark.py due file"
+ ewarn "collision with app-text/cmark (see bug #627034)"
+}
diff --git a/dev-python/commonmark/metadata.xml b/dev-python/commonmark/metadata.xml
new file mode 100644
index 000000000000..484ab2f587e2
--- /dev/null
+++ b/dev-python/commonmark/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ Pure Python port of jgm’s commonmark.js, a Markdown parser and
+ renderer for the CommonMark specification, using only native
+ modules. Once both this project and the CommonMark specification
+ are stable we will release the first 1.0 version and attempt to
+ keep up to date with changes in commonmark.js.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">CommonMark</remote-id>
+ <remote-id type="github">readthedocs/commonmark.py</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>